% This function takes as input a color img in RGB, the mean color value and
% the variance and outputs the area and centroid of the detected color
% blob(s) and an output image
function [outArea, outCentroid, outImg] = color_segment(img, aveColor, varColor)

% converts the image from RGB to YCbCr
yuvImg = rgb2ycbcr(img);
yuvImg = double(yuvImg);

% gets the dimension of the image
[rows,cols] = size(img(:,:,1));

% initializes the output matrix to a set of 0s.
outImg = zeros(rows,cols);

% initializing the rest of the output variables
outArea = 0;
outCentroid = [0 0];

% upper and lower limit of color value
ubound = aveColor + sqrt(varColor);
lbound = aveColor - sqrt(varColor);

% intializes our label
label = 0;

% intializes our stack
stack = [];

% sets up 4 or 8 neighborhood
% nbrs4 = [0 -1; 1 0; 0 1; -1 0];
% nbrs8 = [0 -1; 1 -1; 1 0; 1 1; 0 1; -1 1; -1 0; -1 -1];

for i = 1:rows
  for j = 1:cols
      % YOUR CODE HERE
  end
end
