clear all
close all
clc

% reads in the image
Img = imread('colorImage3.png');

% converts the NxMx3 matrix into an NxMx1 matrix
grayImg = mean(Img,3);

% converts the grayscale image into a binary image
cutoff = 128;
binImg = (grayImg > cutoff);
binImg = double(binImg);

% gets the dimension of the grayscale image
[rows,cols] = size(grayImg);

% initializes the output matrix to a set of 0s.
outImg = zeros(rows,cols);

% B' in the pseudocode from lecture
bImgP = -binImg;

% intializes our label
label = 0;

% intializes our stack
stack = [];

% sets up 4 or 8 neighborhood
% nbrs4 = [0 -1; 1 0; 0 1; -1 0];
% nbrs8 = [0 -1; 1 -1; 1 0; 1 1; 0 1; -1 1; -1 0; -1 -1];

for i = 1:rows
  for j = 1:cols
    if bImgP(i,j) == -1
      label = label + 1;
      bImgP(i,j) = label;
      
      % YOUR CODE HERE
    end
  end
end

imagesc(bImgP)